{
	onModifyPriority(priority, pokemon, target, move) {
		if (move?.type === 'Fire' && pokemon.hp === pokemon.maxhp) return priority + 1;
	},
	flags: {},
	name: "Blazing Soul",
	rating: 1.5,
	num: 177,
}
